[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.9 Textbox

A textbox' type is "Text Box".

#### Signals

Textboxes send the following signals.

`signalTextBoxChanged`

  Generated when the content of the textbox has changed.

`signalTextBoxLostFocus`

  Generated when the textbox has lost it's input focus.

`signalEnterKeyPressed`

  Generated when the 'enter' key is pressed.

`signalTabKeyPressed`

  Generated when the 'tab' key is pressed.

`signalTextBoxFocused`

  Generated when the textbox gains the focus.

#### Attributes

Textboxes publish the following attributes.

`Style`

  This sets the style of the textbox. Valid values are ``tbfsNormal'` and ``tbfsBitmap'`. If the style is ``tbfsNormal'` the ``Texture'` from the skin definition is used to draw the components background. Otherwise the texture defined by attribute ``Bitmap'` is used to draw the background.

`Alpha`

  The alpha of the applied background textures.

`Masked`

  This defines how the content is drawn. Either the normal characters are used to draw the text or a special character is used to draw all the text. This allows you for instance to use this control for password input and let the input display as ``*'`.

`MaskChar`

  This defines the actual character used if the content should be drawn masked.

`Text`

  This attribute sets the initial content of the control.

`Disallow`

  This lets you define a set of characters that are not allowed as input.

`Bitmap`

  If the style is ``tbfsBitmap'` then this attribute is used to define the image used as the controls background image.

#### Skin Attributes

Textboxes support the following skin attributes.

`Texture`

  Texture used to draw the components background

`ButtonTextureAlpha`

  The default alpha value used when drawing the background texture.

#### Properties

Textboxes publish the following properties.

`Text`

  The content of the control.

`Disallow`

  A set of characters that are not allowed as input.

`Blink`

  Toggle the blinking of the cursor. This property is write-only.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.